<?php
if (!defined('BASEPATH')) {
    exit('No direct script access allowed');
}

class CT_Amp_Loader extends CI_Controller {

    function __construct() {
        parent::__construct();
        $this->load->model('information_model');
        $this->load->model('InfoMetas_model');
        //$this->load->library('Tags_analysis');
    }

    // http://localhost:8002/guide-use.php/amp_loader/test/?info_url=/yangtzecruise/
    /**
     * 加载已经发布的页面
    */
    public function load() {
        $info_url = $this->input->get_post('info_url');
        $webcode = $this->input->get_post('webcode');
        if(!isset($webcode) ) {
            $webcode="ct";
        }
        // $info_url="/yangtzecruise/";
        // $webcode="cht";

        $information_detail = $this->information_model->ct_get_by_url($info_url, $webcode);
        $ic_id = $information_detail->ic_id;
        $meta_amp_status = $this->InfoMetas_model->get($ic_id, 'AMP_STATUS');
        if ($meta_amp_status) {            
            $meta_amp_html = $this->InfoMetas_model->get($ic_id, 'AMP');
            //$include_price_html = $this->tags_analysis->replace_price_tag($meta_amp_html);
            echo $meta_amp_html;
        } else {
            header('HTTP/1.1 404 Not Found');
            header("status: 404 Not Found");
            show_404();
            exit;
        }
    }

    // http://localhost:8002/guide-use.php/amp_loader/test/?info_url=/yangtzecruise/
    /**
     * 测试保存的页面
    */
    public function test() {
       // $info_url = $this->input->get_post('info_url');
       $info_url = "/yangtzecruise/";
        $information_detail = $this->information_model->ct_get_by_url($info_url, "cht");
        if (empty($information_detail)) {
            echo $info_url.'没有信息类型';
        }
        $ic_id = $information_detail->ic_id;
        $meta_amp_html = $this->InfoMetas_model->get($ic_id, 'AMP');
        //$include_price_html = $this->tags_analysis->replace_price_tag($meta_amp_html);
        echo $meta_amp_html;
    }
}
